curl --request POST \
--url https://api.example.com/v3/genai-alert-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"metric_name": "<string>",
"threshold_type": "ABSOLUTE",
"critical_threshold": 123,
"notification_settings": [
{
"type": "EMAIL",
"config": {
"recipients": [
"jsmith@example.com"
]
}
}
],
"metric_unit": "milliseconds",
"warning_threshold": 123,
"token_type_id": "<string>",
"attribute_id": "<string>",
"attribute_value": "<string>",
"evaluator_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluator_output_name": "<string>",
"evaluator_output_value": "<string>"
}
'import requests
url = "https://api.example.com/v3/genai-alert-rules"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"metric_name": "<string>",
"threshold_type": "ABSOLUTE",
"critical_threshold": 123,
"notification_settings": [
{
"type": "EMAIL",
"config": { "recipients": ["jsmith@example.com"] }
}
],
"metric_unit": "milliseconds",
"warning_threshold": 123,
"token_type_id": "<string>",
"attribute_id": "<string>",
"attribute_value": "<string>",
"evaluator_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluator_output_name": "<string>",
"evaluator_output_value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
metric_name: '<string>',
threshold_type: 'ABSOLUTE',
critical_threshold: 123,
notification_settings: [{type: 'EMAIL', config: {recipients: ['jsmith@example.com']}}],
metric_unit: 'milliseconds',
warning_threshold: 123,
token_type_id: '<string>',
attribute_id: '<string>',
attribute_value: '<string>',
evaluator_rule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
evaluator_output_name: '<string>',
evaluator_output_value: '<string>'
})
};
fetch('https://api.example.com/v3/genai-alert-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"metric_name": "<string>",
"threshold_type": "ABSOLUTE",
"critical_threshold": 123,
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"application": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"notification_settings": [
{
"type": "EMAIL",
"config": {
"recipients": [
"jsmith@example.com"
]
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"metric_unit": "milliseconds",
"warning_threshold": 123,
"token_type": "<string>",
"semantic_name": "<string>",
"attribute_name": "<string>",
"attribute_value": "<string>",
"evaluator_rule_name": "<string>",
"evaluator_output_name": "<string>",
"evaluator_output_value": "<string>"
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Create GenAI Alert Rule
Creates a new GenAI Alert Rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
UUID of the project
UUID of the application
Name of the alert rule
Source of the metric data
raw_data, attribute, evaluator, custom Name of the metric (e.g., "traffic", "token_count", "attribute", "latency", or an evaluator type)
Interval in seconds (3600 = 1 hour, 86400 = 1 day)
3600, 86400 Supported aggregation types for GenAI metrics
sum, average, p50, p75, p90, p95, p99, count Type of threshold
ABSOLUTE Condition for threshold comparison
ABOVE, BELOW Threshold value for triggering a critical alert
List of notification settings for the alert rule
Show child attributes
Show child attributes
Scope of query processing
SPAN, SESSION Unit for metric values.
milliseconds Threshold value for triggering a warning alert (optional)
Token type identifier (required for token_count metrics). In V1, a Postgres UUID; in V2, a bare OTel attribute name (e.g. gen_ai.usage.input_tokens).
Attribute identifier (required for attribute metrics). In V1, a Postgres UUID; in V2, a bare OTel attribute name (e.g. gen_ai.usage.total_tokens).
Attribute value for the metric attribute (only for attribute metrics with count aggregation)
Semantic concept name (e.g. input_tokens, model_name). When set, the alert queries by semantic concept rather than a specific attribute key, making it SDK-agnostic. Mutually exclusive with token_type_id and attribute_id.
input_tokens, output_tokens, total_tokens, total_cost, input_cost, output_cost, model_name, provider_name, agent_name, agent_id, agent_description, tool_name, tool_id, tool_type, tool_definitions, session_id, user_id, input, output, system_instructions, retrieval_context, tool_input, tool_output, latency, ttft, span_name, span_type, received_time, request_id, response_id, cache_read_input_tokens, cache_creation_input_tokens, reasoning_tokens, finish_reason Evaluator rule ID (required for evaluator metrics)
Name of the evaluator output to monitor (required for evaluator metrics)
Value of the evaluator output to filter on (only for evaluator metrics with count aggregation)
Was this page helpful?